## org.apache.fop.layout
Class ColumnArea

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Area
                  |
                  +--org.apache.fop.layout.AreaContainer
                        |
                        +--org.apache.fop.layout.ColumnArea

public class ColumnArea
extends AreaContainer

Fields inherited from class org.apache.fop.layout.Area

`allocationWidth, backgroundColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderStyleBottom, borderStyleLeft, borderStyleRight, borderStyleTop, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, children, contentRectangleWidth, currentHeight, foCreator, fontState, maxHeight, paddingBottom, paddingLeft, paddingRight, paddingTop, page, tableCellXOffset`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`ColumnArea(FontState fontState, int xPosition, int yPosition, int allocationWidth, int maxHeight, int columnCount)`

Method Summary
`void` `end()`
`int` `getColumnIndex()`
`void` `incrementSpanIndex()`
`void` `render(Renderer renderer)`
`void` `setColumnIndex(int columnIndex)`
`int` `spaceLeft()`
`void` `start()`

Methods inherited from class org.apache.fop.layout.AreaContainer
`getCurrentYPosition, getPosition, getXPosition, getYPosition, setXPosition, setYPosition`

Methods inherited from class org.apache.fop.layout.Area

`addChild, addChildAtStart, addDisplaySpace, getAbsoluteHeight, getAllocationWidth, getBackgroundColor, getChildren, getContentHeight, getContentWidth, getfoCreator, getFontInfo, getFontState, getHeight, getIDReferences, getMaxHeight, getNearestAncestorAreaContainer, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getParent, getTableCellXOffset, increaseAbsoluteHeight, increaseHeight, remove, removeChild, removeChild, setAbsoluteHeight, setAllocationWidth, setBackgroundColor, setBorderColor, setBorderStyle, setBorderWidth, setHeight, setIDReferences, setMaxHeight, setPadding, setPage, setParent, setTableCellXOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnArea

    public ColumnArea(FontState fontState,
                      int xPosition,
                      int yPosition,
                      int allocationWidth,
                      int maxHeight,
                      int columnCount)

Method Detail

### render

    public void render(Renderer renderer)

  Overrides:
    render in class AreaContainer

### end

    public void end()

  Overrides:
    end in class Area

### start

    public void start()

  Overrides:
    start in class Area

### spaceLeft

    public int spaceLeft()

  Overrides:
    spaceLeft in class Area

### getColumnIndex

    public int getColumnIndex()

### setColumnIndex

    public void setColumnIndex(int columnIndex)

### incrementSpanIndex

    public void incrementSpanIndex()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.